-- order 502891 (new order in Lotus: 20010620.20)

   
      /*
      ACTION is ALTER Table CUSTOMER
      */
ALTER TRIGGER CUSTOMER_CHECK_CONTRACT_USAGE DISABLE;
      
ALTER TABLE CUSTOMER ADD ( LABELCOLOR  VARCHAR2(6) DEFAULT ' 0 0 0' NOT NULL );

      /*
      ACTION is ALTER Table DISTRIBUTIONPOINT
      */

ALTER TABLE DISTRIBUTIONPOINT ADD ( 
       LABELCOLOR      VARCHAR2(6) DEFAULT ' 0 0 0' NOT NULL,
       INTERNALREMARKFORTRANSPLABEL   VARCHAR2(1000) NULL,
       TRANSPLABINTERNALREMARKENDDATE   DATE DEFAULT TO_DATE('31-12-2099','DD-MM-YYYY') NOT NULL,
       EXTERNALREMARKFORTRANSPLABEL   VARCHAR2(1000) NULL,
       TRANSPLABEXTERNALREMARKENDDATE   DATE DEFAULT TO_DATE('31-12-2099','DD-MM-YYYY') NOT NULL,
       NOOFTRANSPORTLABELS   NUMBER DEFAULT 0 NOT NULL
);



 /*
      ACTION is ALTER Table ROUTE
      */

ALTER TABLE ROUTE ADD (
       PRINTTRANSPORTLABELS VARCHAR2(1) DEFAULT 'N' NOT NULL
                                   CONSTRAINT YN_ValidationField20
                                          CHECK (PRINTTRANSPORTLABELS IN ('Y', 'N')));

ALTER TRIGGER CUSTOMER_CHECK_CONTRACT_USAGE ENABLE;      
